# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Std.pm) perl(Scalar/Util.pm) perl(Test/Harness.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define module_version 0.21
%define module_name pake
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: T, prints all tasks with descriptions defined in the Pakefile 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IZ/IZI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Pakefile is a script where you define tasks and their dependencies. Within the Pakefile you can access any previosuly defined object using Pake::Application 

pake program run task specified in the command line and executes it with dependencies defined in Pakefile.

pake comes with predefined tasks for file and directory manipulations and for running tests. For details refer to other Modules

Pakefile script is a normal perl scipt, by default executed with:

	use strict;
	use warnings;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version
# move modules to lib
mkdir lib
mv P*/ lib/
sed -i -e 's,^\(P.*/\),lib/\1,' MANIFEST
ln -s lib/* .

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- initial import by package builder

